Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.services.actions.workitems
Class CompleteWorkItem

    java.lang.Object
      com.tibco.bpm.web.client.services.actions.workitems.CompleteWorkItem

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, OSAction<WorkItemResult>, net.customware.gwt.dispatch.shared.Action<WorkItemResult>

    public class CompleteWorkItem

extends java.lang.Object
implements OSAction<WorkItemResult>

Complete a previously opened Work Item and save any changes made.

©2011 TIBCO Software Inc.

Since:
  1.2.0
See Also:
  `WorkItemResult`

Constructor Summary
`CompleteWorkItem(WorkItem item, java.lang.String channelId, java.lang.String channelType, java.lang.String userId)` Constructs a new CompleteWorkItem Action.

Method Summary
`java.lang.String` | `getChannelId()` Channel ID, for GWT clients this is typically :
`java.lang.String` | `getChannelType()` Channel Type, for GWT clients this is typically :
`WorkItem` | `getItem()` The WorkItem retrieved from a call to `OpenWorkItem` or `OpenNextWorkItem`
`java.lang.String` | `getUserId()` User ID ( GUID ) of the user completing the Work Item.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompleteWorkItem

    public CompleteWorkItem(WorkItem item,
                            java.lang.String channelId,
                            java.lang.String channelType,
                            java.lang.String userId)

  Constructs a new CompleteWorkItem Action.

  Parameters:
    `item` - The WorkItem retrieved from a call to `OpenWorkItem` or `OpenNextWorkItem`
    `channelId` - Channel ID, for GWT clients this is typically :

    "openspaceGWTPull_DefaultChannel"

    `channelType` - Channel Type, for GWT clients this is typically :

    "GWTChannel"

    `userId` - User ID ( GUID ) of the user completing the Work Item.

Method Detail

### getItem

    public WorkItem getItem()

  The WorkItem retrieved from a call to `OpenWorkItem` or `OpenNextWorkItem`

  Returns:
    Returns the item.

### getChannelId

    public java.lang.String getChannelId()

  Channel ID, for GWT clients this is typically :

  "openspaceGWTPull_DefaultChannel"

  Returns:
    Returns the channelId.

### getChannelType

    public java.lang.String getChannelType()

  Channel Type, for GWT clients this is typically :

  "GWTChannel"

  Returns:
    Returns the channelType.

### getUserId

    public java.lang.String getUserId()

  User ID ( GUID ) of the user completing the Work Item.

  Returns:
    Returns the userId.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.